
Ruby - Bug #15180

Segmentation fault at 0x00000001097ffffe

09/30/2018 04:53 PM - hdaugherty (Holden Daugherty)

Status: Third Party's Issue   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.5.1p57 (2018-03-29 revision

63029) [x86_64-darwin17]

Backport: 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5:

UNKNOWN

Description

I have an alias called brewitup in my .zshrc that runs

brew update; brew upgrade; brew prune; brew cleanup; brew doctor

 When I ran this it got hung up and gave me the error:

/usr/local/Homebrew/Library/Homebrew/cache_store.rb:31: [BUG] Segmentation fault at 0x00000001097f

fffe

 I have never put in a bug before so I tried to gather as much information as I could; I attached the command output and the crash

report.

Related issues:

Is duplicate of Ruby - Bug #15137: Can't run brew cleanup Third Party's Issue

History

#1 - 10/01/2018 02:09 AM - nobu (Nobuyoshi Nakada)

- Is duplicate of Bug #15137: Can't run brew cleanup added

#2 - 10/06/2018 03:11 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Third Party's Issue

I can't reproduce it on linkage.db files uploaded there, but dbm_open in the system library returns NULL instead.

I guess the system bundled dbm has a incompatibility or a bug which causes the failure or the segfaults, and we can't manage that library.

Files

brewitup-error-output.txt 47.9 KB 09/30/2018 hdaugherty (Holden Daugherty)

ruby_2018-09-30-122450_Holdens-MacBook-Air-7.crash 73.4 KB 09/30/2018 hdaugherty (Holden Daugherty)
